<?php

namespace Litecms\Status\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StatusesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Status\Models\Statuses $statuses)
    {
        return [
            'id'                => $statuses->getRouteKey(),
            'key'               => [
                'public'    => $statuses->getPublicKey(),
                'route'     => $statuses->getRouteKey(),
            ], 
            'body'              => $statuses->body,
            'status_id'         => $statuses->status_id,
            'url'               => [
                'public'    => trans_url('status/'.$statuses->getPublicKey()),
                'user'      => guard_url('status/statuses/'.$statuses->getRouteKey()),
            ], 
            'status'            => trans('app.'.$statuses->status),
            'created_at'        => format_date($statuses->created_at),
            'updated_at'        => format_date($statuses->updated_at),
        ];
    }
}